diff --git a/tempest/api/image/v2/test_images.py b/tempest/api/image/v2/test_images.py
index c846f886a..126d5ab3f 100644
--- a/tempest/api/image/v2/test_images.py
+++ b/tempest/api/image/v2/test_images.py
@@ -366,7 +366,8 @@ class ListSharedImagesTest(base.BaseV2ImageTest):
         super(ListSharedImagesTest, cls).setup_clients()
         cls.image_member_client = cls.os_primary.image_member_client_v2
         cls.alt_img_client = cls.os_alt.image_client_v2
-
+    
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @decorators.idempotent_id('3fa50be4-8e38-4c02-a8db-7811bb780122')
     def test_list_images_param_member_status(self):
         # Create an image to be shared using default visibility
diff --git a/tempest/api/image/v2/test_images_member.py b/tempest/api/image/v2/test_images_member.py
index 02087802c..f55de7c58 100644
--- a/tempest/api/image/v2/test_images_member.py
+++ b/tempest/api/image/v2/test_images_member.py
@@ -10,12 +10,15 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
+import testtools
+
 from tempest.api.image import base
 from tempest.lib import decorators
 
 
 class ImagesMemberTest(base.BaseV2MemberImageTest):
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @decorators.idempotent_id('5934c6ea-27dc-4d6e-9421-eeb5e045494a')
     def test_image_share_accept(self):
         image_id = self._create_image()
@@ -39,6 +42,7 @@ class ImagesMemberTest(base.BaseV2MemberImageTest):
         self.assertEqual(member['image_id'], image_id)
         self.assertEqual(member['status'], 'accepted')
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @decorators.idempotent_id('d9e83e5f-3524-4b38-a900-22abcb26e90e')
     def test_image_share_reject(self):
         image_id = self._create_image()
@@ -55,6 +59,7 @@ class ImagesMemberTest(base.BaseV2MemberImageTest):
                                                          status='rejected')
         self.assertNotIn(image_id, self._list_image_ids_as_alt())
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @decorators.idempotent_id('a6ee18b9-4378-465e-9ad9-9a6de58a3287')
     def test_get_image_member(self):
         image_id = self._create_image()
@@ -73,6 +78,7 @@ class ImagesMemberTest(base.BaseV2MemberImageTest):
         self.assertEqual(image_id, member['image_id'])
         self.assertEqual('accepted', member['status'])
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @decorators.idempotent_id('72989bc7-2268-48ed-af22-8821e835c914')
     def test_remove_image_member(self):
         image_id = self._create_image()
@@ -87,11 +93,13 @@ class ImagesMemberTest(base.BaseV2MemberImageTest):
                                                      self.alt_tenant_id)
         self.assertNotIn(image_id, self._list_image_ids_as_alt())
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @decorators.idempotent_id('634dcc3f-f6e2-4409-b8fd-354a0bb25d83')
     def test_get_image_member_schema(self):
         body = self.schemas_client.show_schema("member")
         self.assertEqual("member", body['name'])
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @decorators.idempotent_id('6ae916ef-1052-4e11-8d36-b3ae14853cbb')
     def test_get_image_members_schema(self):
         body = self.schemas_client.show_schema("members")
diff --git a/tempest/api/image/v2/test_images_member_negative.py b/tempest/api/image/v2/test_images_member_negative.py
index caa90f9f3..3734d9062 100644
--- a/tempest/api/image/v2/test_images_member_negative.py
+++ b/tempest/api/image/v2/test_images_member_negative.py
@@ -10,6 +10,8 @@
 #    License for the specific language governing permissions and limitations
 #    under the License.
 
+import testtools
+
 from tempest.api.image import base
 from tempest.lib import decorators
 from tempest.lib import exceptions as lib_exc
@@ -17,6 +19,7 @@ from tempest.lib import exceptions as lib_exc
 
 class ImagesMemberNegativeTest(base.BaseV2MemberImageTest):
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @decorators.attr(type=['negative'])
     @decorators.idempotent_id('b79efb37-820d-4cf0-b54c-308b00cf842c')
     def test_image_share_invalid_status(self):
@@ -29,6 +32,7 @@ class ImagesMemberNegativeTest(base.BaseV2MemberImageTest):
                           image_id, self.alt_tenant_id,
                           status='notavalidstatus')
 
+    @testtools.skip('Image members access requires admin role (bsc#1023507)')
     @decorators.attr(type=['negative'])
     @decorators.idempotent_id('27002f74-109e-4a37-acd0-f91cd4597967')
     def test_image_share_owner_cannot_accept(self):
